/*
	Header file for the source file hij.c.

	Written by Hans Julius Skaug, October 15. 1994

	Please direct any questions or comments to:

	Hans Julius Skaug
	Norwegian Computing Center
	P.O.Box 114 Blindern
	N-0314 Oslo
	NORWAY
	
	email: skaug@nr.no
*/

#define	N 10		/* number of observations */
#define B 2000		/* number of permutaion resamples */
#define eps 0.00000001	/* internal quantity needed to avoid dividing by zero */
#define k_N01	1.0/sqrt(2*3.14159727)		
#define min(a,b) ((a) < (b) ? (a) : (b) )
#define k_h(x) 1.0/(sqrt(2.0*3.14159727)*h)*exp(-0.5*(x)*(x)/h/h) 


extern 	void    hij(double[],int,double,double[],double[],double[],int,
			double[],double,double);
extern 	void    cumulative(double[],int);
extern	void    perm_test(double[],int,double,double*,double*,double*,
				int,double[],double,double);
